%define	version 1.1.0.20090402
%define	release %mkrel 1

Name:      ibus-table-zhengma
Summary:   ibus-zhengma - table-based engine
Version:   %{version}
Release:   %{release}
Group:     System/Internationalization
License:   GPLv2+
URL:       http://code.google.com/p/ibus/
Source0:   http://ibus.googlecode.com/files/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: ibus-table-devel >= 1.1.0
BuildRequires: ibus-table-extraphrase-devel >= 1.1.0
BuildArch:	noarch
Requires:	ibus-table >= 1.1.0
Requires(post):	ibus-table >= 1.1.0
Conflicts:	ibus-table < 0.1.2

%description
ibus-table-zhengma provides ZhengMa input method on IBus Table under IBus framework.

%prep
%setup -q -n %{name}-%{version}

%build
%configure2_5x \
	--enable-extra-phrases
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

rm -rf %buildroot%_datadir/doc

%post
ibus-table-createdb -i -n %{_datadir}/ibus-table/tables/zhengma.db

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README docs/ZiGenBiao.pdf
%{_datadir}/ibus-table/icons/*.svg
%{_datadir}/ibus-table/tables/*.db


%changelog
* Fri May 01 2009 Funda Wang <fundawang@mandriva.org> 1.1.0.20090402-1mdv2010.0
+ Revision: 369493
- New version 1.1.0.20090402

* Sat Feb 21 2009 Funda Wang <fundawang@mandriva.org> 1.1.0.20090219-1mdv2009.1
+ Revision: 343595
- New version 1.1.0.20090219

* Sun Jan 04 2009 Funda Wang <fundawang@mandriva.org> 0.1.2.20090101-1mdv2009.1
+ Revision: 324490
- create index after installing
- own doc files
- import ibus-table-zhengma


